it-swarm-ja.com

ArchLinuxでnodejsをバージョン0.6.3-1にアップグレードする際の問題

ArchLinuxでnodejsをバージョン0.6.3-1にアップグレードしようとしていますが、「ファイルの競合をチェックする」手順で競合が発生します。 npmディレクトリにあるたくさんのファイルについて文句を言います:

nodejs: /usr/bin/npm exists in filesystem
nodejs: /usr/lib/node_modules/npm/.gitmodules exists in filesystem
nodejs: /usr/lib/node_modules/npm/AUTHORS exists in filesystem
nodejs: /usr/lib/node_modules/npm/CHANGES exists in filesystem
nodejs: /usr/lib/node_modules/npm/LICENSE exists in filesystem
...

NPMを含めることに関して、そのパッケージにいくつかの変更があったことがわかりましたが、すべてのNPMパッケージをワイプせずにアップグレードを機能させる方法がわかりません。これを回避する方法はありますか?

5
Nicolas Buduroi

_--force_を使用して、競合するファイルを上書きするようにpacmanに指示します。

_pacman -S --force nodejs
_

Upgrade options in pacman(8) を参照してください。


注:_--force_オプションには十分注意してください。修正するよりも頻繁に問題が発生します。

11
user1686